Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pulling.availability_imposer
Class CPU_EatersLauncher

    java.lang.Object
      pulling.availability_imposer.CPU_EatersLauncher

    public class CPU_EatersLauncher

extends java.lang.Object

This class is responsible for launching processes that eats the CPU time of current machine

Author:
  Majd Kokaly

Constructor Summary
`CPU_EatersLauncher(double percentage, double forHowLong)` Default constructor.

Method Summary
`double` | `getForHowLong()`
`double` | `getPercentage()`
`void` | `launchEnoughCPU_EatersToEat(double percentage, double forHowLong)` This method checks the number of cores existing in the system and launch eaters accordingly.
`void` | `setForHowLong(double forHowLong)`
`void` | `setPercentage(double percentage)`
`void` | `startEaters()` This method starts the eater.
`void` | `stopEaters()` This method stops the eater.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPU_EatersLauncher

    public CPU_EatersLauncher(double percentage,
                              double forHowLong)

  Default constructor.

  Parameters:
    `percentage` - to set the percentage field
    `forHowLong` - to set the the forHowLong field

Method Detail

### getPercentage

    public double getPercentage()

### setPercentage

    public void setPercentage(double percentage)

### getForHowLong

    public double getForHowLong()

### setForHowLong

    public void setForHowLong(double forHowLong)

### startEaters

    public void startEaters()

  This method starts the eater.

### stopEaters

    public void stopEaters()

  This method stops the eater.

### launchEnoughCPU_EatersToEat

    public void launchEnoughCPU_EatersToEat(double percentage,
                                            double forHowLong)

  This method checks the number of cores existing in the system and launch eaters accordingly.

  Parameters:
    `percentage` - The percentage of CPU time to be eaten from the processor
    `forHowLong` - The duration in minutes for the eating process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD